--- old/usr/src/uts/common/os/fork.c	2016-06-15 19:34:49.592287812 -0400
+++ new/usr/src/uts/common/os/fork.c	2016-06-15 19:34:49.634056814 -0400
@@ -1087,6 +1087,11 @@
 	cp->p_ppid = pp->p_pid;
 	cp->p_ancpid = pp->p_pid;
 	cp->p_portcnt = pp->p_portcnt;
+	/*
+	 * Security flags are preserved on fork, the inherited copy come into
+	 * effect on exec
+	 */
+	cp->p_secflags = pp->p_secflags;
 
 	/*
 	 * Initialize watchpoint structures
